Subject: RFC 4636 issues

From: Alfred Hönes <[email-masked]>
Date: Wed, 1 Nov 2006 17:40:09 +0100 (MEZ)

Hello,
reading the recently published RFC 4636 (MIP4 FA Error Extension)
authored by you, I found two issues I'd like to communicate to you.

(1)  missing meta-data

Section 4 of RFC 4636, on page 3, clearly states:

   This document updates the Mobile IP base specification [4] regarding
   the procedures followed by the foreign agent in the case that the
   home agent fails authentication.  [...]

... and [4] is RFC 3344.

Furthermore, RFC 4636 is on the Standards Track as well.
Therefore, I would have expected to find an

  Updates: 3344

line in the RFC heading, and appropriate links in the RFC index.

Has this been omitted by accident, or have there been strong
arguments to omit this significant link ?
In the former case, can that be corrected 'after the fact' ?

(2)  erratum ?

The first paragraph of Section 8, on page 4, says:

   The extension in this document improves the security features of
   Mobile IPv4 by allowing the mobile node to be assured of the
   authenticity of the information supplied within a Registration
|  Request.  [...]
   ^^^^^^^

>From the body of the RFC, I would have expected to find "Reply"
as the last word of that sentence -- cf. Section 1, 2nd sentence,
and Section 4, 1st sentence.
If that's true, it would perhaps be wise to post an RFC Errata Note
to the RFC-Ed's RFC Errata web pages addressing this issue.

Best regards,
  Alfred Hönes.

-- 

+------------------------+--------------------------------------------+
| TR-Sys Alfred Hoenes   |  Alfred Hoenes   Dipl.-Math., Dipl.-Phys.  |
| Gerlinger Strasse 12   |  Phone: (+49)7156/9635-0, Fax: -18         |
| D-71254  Ditzingen     |  E-Mail:  [email-masked]                     |
+------------------------+--------------------------------------------+